/*
date: 5.15.2018

purpose: compare study sample health to black/white populations
		
input:	"$drive\2input_data\health_values.xlsx" -- see paper for sources of pop. estimates

output: "$drive\5figures\figure8_health.pdf"

author: MF

*/


clear
set more off 

log using "$drive\4log\figure8_health.smcl", replace


import excel using "$drive\2input_data\health_values.xlsx", firstrow clear
	
	twoway bar percent id if sample == "white men", hor color(gs12) || ///
		   bar percent id if sample == "black men", hor color("38 104 127") || ///
		   bar percent id if sample == "study", hor color(ebblue) /// 
		   ytitle("") ylabel(-2 "Hypertension (BP)" -6 "Obesity (BMI)" -10 "High Cholesterol" -14 "Diabetes" ///
			  , notick nogrid angle(0)) plotr(m(zero)) yscale(r(0, -16)) ///
		      xscale(r(0, 51)) xlabel(0(10)50, grid) xtitle("Prevalence of Condition (%)") ///
			  legend(row(1) order(1 "White Male Pop." 2 "Black Male Pop." 3 "Black Male Sample")) xsize(8)
	graph export "$drive\5figures\figure8_health.pdf", replace	

log close
