/*
date: 4.29.2019

purpose: create selection table regressing baseline characteristics on clinic show up
		
input: "$drive\3output_data\oakland_analysis_selection.dta"

output: "$drive\6tables\table1_selection.csv"

author: MF

*/


clear
set more off 
cap log close 

log using "$drive\4log\table1_selection.smcl", replace

global baseline   good_sa_health any_health_prob hosp_visits_2years ER_2years nights_hosp_2years med_mistrust has_PCP ///
				  uninsured age married unemployed HSless low_income benefits 

				  
use "$drive\3output_data\oakland_analysis_selection.dta", clear

	est clear
	foreach var of global baseline {
		qui reg `var' clinic_show_up, r
			est store `var'_1	
		sum `var' if clinic_show_up == 0
			estadd scalar control_mean = r(mean)
	}
		
	esttab  _all using "$drive\6tables\table1_selection.csv", stats(control_mean N)  ///
			keep(clinic_show_up) se b(3) nostar replace	   
	   
 log close 
